Package org.opensaml.xmlsec.algorithm

# Interface SymmetricKeyWrapAlgorithm

All Superinterfaces:
  `AlgorithmDescriptor`, `KeyLengthSpecifiedAlgorithm`, `KeySpecifiedAlgorithm`

All Known Implementing Classes:
  `SymmetricKeyWrapAES128`, `SymmetricKeyWrapAES192`, `SymmetricKeyWrapAES256`, `SymmetricKeyWrapDESede`

public interface SymmetricKeyWrapAlgorithm extends KeySpecifiedAlgorithm, KeyLengthSpecifiedAlgorithm
Interface for symmetric key wrap algorithm descriptors.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`AlgorithmDescriptor.AlgorithmType`

## Method Summary

### Methods inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`getJCAAlgorithmID, getType, getURI`

### Methods inherited from interface org.opensaml.xmlsec.algorithm.KeyLengthSpecifiedAlgorithm

`getKeyLength`

### Methods inherited from interface org.opensaml.xmlsec.algorithm.KeySpecifiedAlgorithm

`getKey`